Subject: Bug#3210: loadkeys infelicities

From: [email-masked] (Neil Turton)
Date: Mon, 10 Jun 96 19:52 BST

This had some trouble getting through the first time, so I hope it
does better this time...

  I have reproduced the problem with kbdconfig, and produced a patch.
I'm not really sure what wants to done with the TERM variable, so it
may need a bit more work.  This should fix the major problems though.

  *** /usr/sbin/kbdconfig	Sat Jun  8 18:51:17 1996
  --- /usr/sbin/kbdconfig.ndt	Sat Jun  8 18:49:50 1996
  ***************
  *** 13,18 ****
  --- 13,19 ----
    then
	  OLDTERM=$TERM
	  . $CONFFILE
  + 	termtyp=$TERM
	  TERM=$OLDTERM
	  unset OLDTERM
    fi
  ***************
  *** 36,43 ****
    EOT
	  consdev=/dev/systty
	  echo -n "Select console type [linux]: "; read termtyp
  - 	test -z "$termtyp" && termtyp=linux
    fi
    cat << EOT

    Please choose one of the following keyboard tables for the VT devices:
  --- 37,44 ----
    EOT
	  consdev=/dev/systty
	  echo -n "Select console type [linux]: "; read termtyp
    fi
  + test -z "$termtyp" && termtyp=linux
    cat << EOT

    Please choose one of the following keyboard tables for the VT devices:
  ***************
  *** 46,56 ****
    (cd $LIBDIR/keytables; ls -x)

    echo -n "What keytable [$KEYMAP]: "; read keymap
  ! if [ -z "$keymap" -a -n "$KEYMAP" ] 
    then
  ! 	keymap=$KEYMAP
  ! else
  ! 	keymap=NONE
    fi

    cat << EOT
  --- 47,60 ----
    (cd $LIBDIR/keytables; ls -x)

    echo -n "What keytable [$KEYMAP]: "; read keymap
  ! if [ -z "$keymap" ] 
    then
  ! 	if [ -n "$KEYMAP" ]
  ! 	then
  ! 		keymap=$KEYMAP
  ! 	else
  ! 		keymap=NONE
  ! 	fi
    fi

    cat << EOT
  ***************
  *** 61,71 ****
    (cd $LIBDIR/consolefonts; ls -x)

    echo -n "What softfont (answer NONE to skip font loading [$SOFTFONT]: "; read softfont
  ! if [ -z "$softfont" -a -n "[$SOFTFONT" ]
    then
  ! 	softfont=$SOFTFONT
    else
  ! 	softfont=NONE
    fi

    echo -n  "Generating $CONFFILE... "
  --- 65,85 ----
    (cd $LIBDIR/consolefonts; ls -x)

    echo -n "What softfont (answer NONE to skip font loading [$SOFTFONT]: "; read softfont
  ! if [ -z "$softfont" ]
  ! then
  ! 	if [ -n "$SOFTFONT" ]
  ! 	then
  ! 		softfont=$SOFTFONT
  ! 	else
  ! 		softfont=NONE
  ! 	fi
  ! fi
  ! 
  ! if [ -z "$CONSOLE" -a -z "$consdev" ]
    then
  ! 	consdev=/dev/tty0
    else
  ! 	consdev=$CONSOLE
    fi

    echo -n  "Generating $CONFFILE... "

Neil Turton.
+--------------------------------------------------+----------------------+
| Neil Turton, Assistant computer officer          | Snail Mail to:       |
| Part III mathematics student                     |  Churchill college,  |
| http://www.chu.cam.ac.uk/home/ndt1001/home.html  |  Cambridge. CB3 0DS. |
+--------------------------------------------------+----------------------+
| GCM(M) d H s+:- !g p0>+ !au(-) a- w+ v C+++@ UL++++$(+++) P+ L+++ 3-    |
| E++ N-(+) K- W--- M-- V po Y+ t-- 5 !j R- G? !tv(-) b+ D+ B? e+++ u(*)  |
| h-- f !r>+++ n+ y?                                                      |
+-------------------------------------------------------------------------+

-- 
+--------------------------------------------------+----------------------+
| Neil Turton, Assistant computer officer          | Snail Mail to:       |
| Part III mathematics student                     |  Churchill college,  |
| http://www.chu.cam.ac.uk/home/ndt1001/home.html  |  Cambridge. CB3 0DS. |
+--------------------------------------------------+----------------------+
| GCM(M) d H s+:- !g p0>+ !au(-) a- w+ v C+++@ UL++++$(+++) P+ L+++ 3-    |
| E++ N-(+) K- W--- M-- V po Y+ t-- 5 !j R- G? !tv(-) b+ D+ B? e+++ u(*)  |
| h-- f !r>+++ n+ y?                                                      |
+-------------------------------------------------------------------------+